Change CallUserFunction to allow simplified C interface.
CallUserFunction return value is ignored, so don't return it.

Index: csrc/pf_cglue.c
===================================================================
RCS file: /home/asau/repo/cvs/pforth/csrc/pf_cglue.c,v
retrieving revision 1.1.1.3
diff -u -r1.1.1.3 pf_cglue.c
--- csrc/pf_cglue.c	22 Nov 2010 00:30:22 -0000	1.1.1.3
+++ csrc/pf_cglue.c	26 Dec 2010 09:33:35 -0000
@@ -21,12 +21,20 @@
 extern CFunc0 CustomFunctionTable[];
 
 /***************************************************************/
-cell_t CallUserFunction( cell_t Index, int32_t ReturnMode, int32_t NumParams )
+void CallUserFunction(cell_t func)
 {
+	cell_t Index;
+	int ReturnMode;
+	unsigned NumParams;
 	cell_t P1, P2, P3, P4, P5;
 	cell_t Result = 0;
 	CFunc0 CF;
 
+	/* unpack information: */
+	Index = func & 0xFFFF;
+	ReturnMode = (func >> 31) & 1;
+	NumParams = (func >> 24) & 0x7F;
+
 DBUG(("CallUserFunction: Index = %d, ReturnMode = %d, NumParams = %d\n",
 	Index, ReturnMode, NumParams ));
 
@@ -74,8 +82,6 @@
 
 /* Push result on Forth stack if requested. */
 	if(ReturnMode == C_RETURNS_VALUE) PUSH_DATA_STACK( Result );
-
-	return Result;
 }
 
 #if (!defined(PF_NO_INIT)) && (!defined(PF_NO_SHELL))
Index: csrc/pf_cglue.h
===================================================================
RCS file: /home/asau/repo/cvs/pforth/csrc/pf_cglue.h,v
retrieving revision 1.1.1.2
diff -u -r1.1.1.2 pf_cglue.h
--- csrc/pf_cglue.h	20 May 2010 07:19:58 -0000	1.1.1.2
+++ csrc/pf_cglue.h	26 Dec 2010 09:33:55 -0000
@@ -33,7 +33,7 @@
 Err   CreateGlueToC( const char *CName, ucell_t Index, cell_t ReturnMode, int32_t NumParams );
 Err   CompileCustomFunctions( void );
 Err   LoadCustomFunctionTable( void );
-cell_t CallUserFunction( cell_t Index, int32_t ReturnMode, int32_t NumParams );
+void CallUserFunction(cell_t func);
 
 #ifdef __cplusplus
 }   
Index: csrc/pf_inner.c
===================================================================
RCS file: /home/asau/repo/cvs/pforth/csrc/pf_inner.c,v
retrieving revision 1.1.1.9
diff -u -r1.1.1.9 pf_inner.c
--- csrc/pf_inner.c	23 Nov 2010 20:27:26 -0000	1.1.1.9
+++ csrc/pf_inner.c	26 Dec 2010 09:35:55 -0000
@@ -507,9 +507,7 @@
 		case ID_CALL_C:
 			SAVE_REGISTERS;
 			Scratch = READ_CELL_DIC(InsPtr++);
-			CallUserFunction( Scratch & 0xFFFF,
-				(Scratch >> 31) & 1,
-				(Scratch >> 24) & 0x7F );
+			CallUserFunction(Scratch);
 			LOAD_REGISTERS;
 			endcase;
 				
